(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2007-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: sklml_install_data.mli,v 1.2 2014/01/21 09:21:17 fclement Exp $ *)

val default_lib_root_dir : string;;

type compiler = {
  byt : string;
  bin : string;
};;

val ocaml_compiler : compiler;;

val mk_lib_path : string -> string list -> string;;
val mk_pp_cmd : string -> string;;
val mk_camlp45_pa_skl : string -> string;;
